Package org.jfree.layouting.input.style.values

## Class CSSFunctionValue

- java.lang.Object
- - org.jfree.layouting.input.style.values.CSSFunctionValue

- All Implemented Interfaces:
    `java.io.Serializable`, `CSSValue`
  Direct Known Subclasses:
    `CSSAttrFunction`, `CSSCompoundAttrFunction`

      public class CSSFunctionValue
      extends java.lang.Object
      implements CSSValue

  Creation-Date: 27.11.2005, 20:18:52
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CSSFunctionValue​(java.lang.String functionName, CSSValue[] parameters)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getCSSText​()` |
    `java.lang.String` | `getFunctionName​()` |
    `CSSValue[]` | `getParameters​()` |
    `java.lang.String` | `toString​()` | Returns a string representation of the object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CSSFunctionValue

          public CSSFunctionValue​(java.lang.String functionName,
                                  CSSValue[] parameters)

  - ### Method Detail

    - #### getFunctionName

          public java.lang.String getFunctionName​()

    - #### getParameters

          public CSSValue[] getParameters​()

    - #### getCSSText

          public java.lang.String getCSSText​()

      Specified by:
        `getCSSText` in interface `CSSValue`

    - #### toString

          public java.lang.String toString​()

      Returns a string representation of the object.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a string representation of the object.